/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casenorm.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 案例-造价及材料指标Entity
 * @author fgy
 * @version 2018-01-24
 */
public class CaseNorm extends DataEntity<CaseNorm> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 科目名称
	private String eachContent;		// 单位含量
	private String unit;		// 单位
	private String percent;		// 占造价比例
	private String calculatedBy;		// 计算口径
	private String calculatedValue;		// 计算口径值
	private String caseId;		// 案例id
	
	public CaseNorm() {
		super();
	}

	public CaseNorm(String id){
		super(id);
	}

	@ExcelField(title="科目名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="单位含量", align=2, sort=8)
	public String getEachContent() {
		return eachContent;
	}

	public void setEachContent(String eachContent) {
		this.eachContent = eachContent;
	}
	
	@ExcelField(title="单位", align=2, sort=9)
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	
	@ExcelField(title="占造价比例", align=2, sort=10)
	public String getPercent() {
		return percent;
	}

	public void setPercent(String percent) {
		this.percent = percent;
	}
	
	@ExcelField(title="计算口径", align=2, sort=11)
	public String getCalculatedBy() {
		return calculatedBy;
	}

	public void setCalculatedBy(String calculatedBy) {
		this.calculatedBy = calculatedBy;
	}
	
	@ExcelField(title="计算口径值", align=2, sort=12)
	public String getCalculatedValue() {
		return calculatedValue;
	}

	public void setCalculatedValue(String calculatedValue) {
		this.calculatedValue = calculatedValue;
	}
	
	@ExcelField(title="案例id", align=2, sort=13)
	public String getCaseId() {
		return caseId;
	}

	public void setCaseId(String caseId) {
		this.caseId = caseId;
	}
	
}